Subject: bug#59371: 29.0.50; `font` frame property not obeyed on minibuffer-only frame

From: Michael Albinus <[email-masked]>
Date: Sun, 20 Nov 2022 15:00:06 +0100

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

Hi,

>> BTW, we need to be able to add this kind of thing to our test suite (the
>> above recipe has been broken several times already over the years).
>
> Right.  But the problem is that those test depend on details of the
> system and X server configuration, and I don't think EMBA runs tests
> under X at all.

Yes. But we could suppress such a test by simply checking, whether it
runs in an X environment. By this, anybody calling "make check" would
still prove that the test still succeeds.

Best regards, Michael.